import request from '@/utils/request'

// 经销商订单
export function getOrderList(urlParams, data) {
    return request({
        url: '/api/v1/mp/admin/channel/order/list',
        method: 'post',
        data,
        urlParams
    })
}

// 快递下拉
export function companyList(data) {
  return request({
    url: '/api/v1/mp/delivery/company/list',
    method: 'post',
    data
  })
}

// 经销商盲票组列表
export function channelList(data) {
  return request({
    url: '/api/v1/mp/admin/channel/order/item/list',
    method: 'post',
    data
  })
}

// 经销商订单发货查询筛选待售的盲票包列表
export function ticketPkgList(data) {
  return request({
    url: '/api/v1/mp/admin/channel/order/ticket/pkg/list',
    method: 'post',
    data
  })
}

// 经销商订单详情
export function orderDetail(data) {
  return request({
    url: '/api/v1/mp/admin/channel/order/detail',
    method: 'post',
    data
  })
}

// 经销商订单发货
export function channelOrderShip(data) {
  return request({
    url: '/api/v1/mp/admin/channel/order/ship',
    method: 'post',
    data
  })
}

// 修改经销商发货信息
export function channelOrderShipUpdate(data) {
  return request({
    url: '/api/v1/mp/admin/channel/order/ship/update',
    method: 'post',
    data
  })
}

// 用户订单
export function getDeliverList(urlParams, data) {
  return request({
      url: '/api/v1/mp/admin/deliver/order/list',
      method: 'post',
      data,
      urlParams
  })
}

// 用户订单详情
export function deliverDetail(data) {
  return request({
    url: '/api/v1/mp/admin/deliver/order/detail',
    method: 'post',
    data
  })
}

// 用户订单发货
export function deliverOrderShip(data) {
  return request({
    url: '/api/v1/mp/admin/deliver/order/ship',
    method: 'post',
    data
  })
}

// 用户订单发货
export function deliverOrderShipUpdate(data) {
  return request({
    url: '/api/v1/mp/admin/deliver/order/ship/update',
    method: 'post',
    data
  })
}

// 用户订单导出
export function deliverOrderExport(data) {
  return request({
    url: '/api/v1/mp/admin/deliver/order/export',
    method: 'post',
    data
  })
}